# Initialization

## Functions

### gst_validate_deinit

    gst_validate_deinit ()

### GstValidate.prototype.deinit

    function GstValidate.prototype.deinit(): {
        // javascript wrapper for 'gst_validate_deinit'
    }

### GstValidate.deinit

    def GstValidate.deinit ():
        #python wrapper for 'gst_validate_deinit'

### gst_validate_init

    gst_validate_init ()

Initializes GstValidate. Call this before any usage of GstValidate. You should take care of initializing GStreamer before calling this function.

### GstValidate.prototype.init

    function GstValidate.prototype.init(): {
        // javascript wrapper for 'gst_validate_init'
    }

Initializes GstValidate. Call this before any usage of GstValidate. You should take care of initializing GStreamer before calling this function.

### GstValidate.init

    def GstValidate.init ():
        #python wrapper for 'gst_validate_init'

Initializes GstValidate. Call this before any usage of GstValidate. You should take care of initializing GStreamer before calling this function.

### gst_validate_init_debug

    gst_validate_init_debug ()

### GstValidate.prototype.init_debug

    function GstValidate.prototype.init_debug(): {
        // javascript wrapper for 'gst_validate_init_debug'
    }

### GstValidate.init_debug

    def GstValidate.init_debug ():
        #python wrapper for 'gst_validate_init_debug'

### gst_validate_is_initialized

    gboolean
    gst_validate_is_initialized ()

Returns –
No description available

### GstValidate.prototype.is_initialized

    function GstValidate.prototype.is_initialized(): {
        // javascript wrapper for 'gst_validate_is_initialized'
    }

Returns (Number) –
No description available

### GstValidate.is_initialized

    def GstValidate.is_initialized ():
        #python wrapper for 'gst_validate_is_initialized'

Returns (bool) –
No description available

### gst_validate_plugin_get_config

    GList *
    gst_validate_plugin_get_config (GstPlugin * plugin)

Return the configuration specific to plugin, or the "core" one if plugin is NULL

Parameters:

`plugin` –

a GstPlugin, or NULL

Returns ( [transfer: none][element-type GstStructure]) –

a list of GstStructure

### GstValidate.prototype.plugin_get_config

    function GstValidate.prototype.plugin_get_config(plugin: Gst.Plugin): {
        // javascript wrapper for 'gst_validate_plugin_get_config'
    }

Return the configuration specific to plugin, or the "core" one if plugin is null

Parameters:

`plugin` (Gst.Plugin) –

a Gst.Plugin, or null

Returns ([ Gst.Structure ]) –

a list of Gst.Structure

### GstValidate.plugin_get_config

    def GstValidate.plugin_get_config (plugin):
        #python wrapper for 'gst_validate_plugin_get_config'

Return the configuration specific to plugin, or the "core" one if plugin is None

Parameters:

`plugin` (Gst.Plugin) –

a Gst.Plugin, or None

Returns ([ Gst.Structure ]) –

a list of Gst.Structure

### gst_validate_setup_test_file

    GstStructure *
    gst_validate_setup_test_file (const gchar * testfile,
                                  gboolean use_fakesinks)

Parameters:

`testfile` –
No description available
`use_fakesinks` –
No description available
Returns –
No description available

### GstValidate.prototype.setup_test_file

    function GstValidate.prototype.setup_test_file(testfile: String, use_fakesinks: Number): {
        // javascript wrapper for 'gst_validate_setup_test_file'
    }

Parameters:

`testfile` (String) –
No description available
`use_fakesinks` (Number) –
No description available
Returns (Gst.Structure) –
No description available

### GstValidate.setup_test_file

    def GstValidate.setup_test_file (testfile, use_fakesinks):
        #python wrapper for 'gst_validate_setup_test_file'

Parameters:

`testfile` (str) –
No description available
`use_fakesinks` (bool) –
No description available
Returns (Gst.Structure) –
No description available

The results of the search are